Skip to main content
GET
/
v0
/
component
/
versions
/
{id}
Get all versions of a component
curl --request GET \
  --url https://{hostname}.gable.ai/v0/component/versions/{id} \
  --header 'X-API-KEY: <api-key>'
[
  {
    "versionId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "isLatestVersion": true,
    "job_trigger": "<string>",
    "event_repo": "<string>",
    "repo_commit": "<string>",
    "repo_commit_timestamp": "<string>",
    "job_id": "<string>",
    "dependencies": [
      {
        "repo_name": "<string>",
        "commit_sha": "<string>",
        "commit_timestamp": "<string>"
      }
    ]
  }
]

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string<uuid>
required

UUID of the component

Query Parameters

versionId
string

Optional version ID to filter or focus on a specific version

Response

Component versions retrieved successfully

versionId
string

The version ID (runId) of the component.

createdAt
string<date-time>

The timestamp when the component version was created.

isLatestVersion
boolean

Indicates if this version is the latest version of the component.

job_trigger
string

Type of the event that triggered this version.

event_repo
string

Name of the repository from the event that triggered this version.

repo_commit
string

The commit SHA that triggered the version.

repo_commit_timestamp
string

The timestamp of the commit.

job_status
enum<string>

Status of the job that created this version.

Available options:
pending,
processing,
success,
error
job_id
string

ID of the job that created this version.

dependencies
object[]

List of version-specific dependencies for this component version.